#include "MainWindow.h"
#include <QApplication>
#include <QDesktopWidget>

int main( int argc, char *argv[] )
{
	imFormatRegisterAVI();

	QApplication app( argc, argv );
	Q_INIT_RESOURCE( LegoRuins );

	MainWindow w;
	w.move( QApplication::desktop()->screenGeometry().center() - w.rect().center() );
	w.show();

	w.initialize();

	app.connect( &app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()) );

	return app.exec();
}
